#include "JNIDemo1.h"
#include <stdio.h>
																																								
JNIEXPORT jstring JNICALL _Java_JNIDemo1_serverName (JNIEnv *env, jclass clz) {
	return env->NewStringUTF("JNIDemo1 Server");
}

JNIEXPORT void JNICALL _Java_JNIDemo1_sayHello__Ljava_lang_String_2 (JNIEnv *env, jobject obj, jstring name) {
	// Chuyen tu JNI String (jstring) sang C-String (char*)
	const char* pszName = env->GetStringUTFChars(name, NULL);
	if (NULL == pszName) return;

	// Hien thi man hinh
	printf("Hi %s!\n", pszName);

	// Giai phong tai nguyen
	env->ReleaseStringUTFChars(name, pszName);
}

JNIEXPORT void JNICALL _Java_JNIDemo1_sayHello__(JNIEnv *env, jobject obj) {
	printf("Hi Annonymous!\n");
}

JNIEXPORT void JNICALL _Java_JNIDemo1_goodBye (JNIEnv *env, jobject obj) {
	printf("Goodbye!\n");
}

